%define anolis_release 1

# Created by pyp2rpm-3.3.2
%global pkg_name jaraco-classes
%global pypi_name jaraco.classes

Name:           python-%{pkg_name}
Version:        3.2.3
Release:        %{anolis_release}%{dist}

Summary:        Utility functions for Python class constructs

License:        MIT
URL:            https://github.com/jaraco/jaraco.classes
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

%description
Utility functions for Python class constructs.

%package -n python3-%{pkg_name}
Summary:        %{summary}
Requires:       python3-jaraco
Requires:       python3dist(six)

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(more-itertools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3-setuptools_scm
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Utility functions for Python class constructs.

%package -n python-%{pkg_name}-doc
Summary:        jaraco-classes documentation
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description -n python-%{pkg_name}-doc
Documentation for jaraco-classes

%prep
%autosetup -n jaraco.classes-%{version}
# disable flake8 in the tests, need a newer version of pytest-flake8
# AttributeError: 'Application' object has no attribute 'make_notifier'
sed -i 's/ --flake8//' pytest.ini
sed -i 's/ --black//' pytest.ini
sed -i 's/ --cov//' pytest.ini

%build
%pyproject_wheel

%install
%pyproject_install

%check
#LANG=C.utf-8 %{__python3} -m pytest --ignore=build
%pytest

%files -n python3-%{pkg_name}
%license LICENSE
%{python3_sitelib}/jaraco/classes
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/

%files -n python-%{pkg_name}-doc
%doc README.rst

%changelog
* Wed Mar 29 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.2.3-1
- Init package from upstream
